import React from 'react';
import { ISelection } from '@fluentui/react';
interface ColumnsViewContextInterface {
    selection: ISelection<any>;
    selectedItems: any[];
    hierarchical: any[];
    itemsObj: any;
    ancestors: any[];
    ancestorsObj: any;
    finished: boolean;
    onChange?: (selectedItems: any[]) => void;
}
interface IColumnsViewContextProvider {
    selection: ISelection;
}
declare const ColumnsViewContextProvider: IColumnsViewContextProvider | any;
declare const useColumns: () => ColumnsViewContextInterface;
declare const withColumns: <T extends object>(Component: React.FC<T>) => (props: T) => JSX.Element;
export { useColumns, withColumns, ColumnsViewContextProvider };
