import React from 'react';
import { UseFormReturn } from 'react-hook-form';
interface IFormHelperContext {
    disabled: boolean;
    setDisabled: (disabled: boolean) => void;
    narrow: boolean;
    setNarrow: (narrow: boolean) => void;
}
interface IFormHelperContextProviderProps {
    disabled?: boolean;
    narrow?: boolean;
}
declare const FormHelperContextProvider: React.FC<IFormHelperContextProviderProps>;
declare const useExtendedFormContext: () => IFormHelperContext & UseFormReturn<import("react-hook-form").FieldValues, object>;
export { useExtendedFormContext, FormHelperContextProvider };
interface IDynamicFormProps {
    field?: any;
    name?: string;
    disabled?: boolean;
    narrow?: boolean;
    defaultValues?: any;
    onChange?: (data?: any) => void;
}
declare const DynamicForm: React.ForwardRefExoticComponent<IDynamicFormProps & React.RefAttributes<any>>;
export default DynamicForm;
