/// <reference types="react" />
import { MessageBarType } from '@fluentui/react';
interface OpenProps {
    message: string;
    messageBarType?: MessageBarType;
    duration?: number;
}
interface SnackbarContextInterface {
    openSnackbar: (data: OpenProps) => string;
    closeSnackbar: (id: string) => void;
}
declare const SnackbarContextProvider: ({ children }: {
    children: any;
}) => JSX.Element;
declare const useSnackbar: () => SnackbarContextInterface;
export { useSnackbar, SnackbarContextProvider };
