"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("@fluentui/react");
const react_2 = __importStar(require("react"));
const api_security_context_1 = require("../context/api-security.context");
const AccessTokensDeleteDialog = ({ isOpen, onDismiss, onDeleted, }) => {
    var _a;
    const { deleteAccessTokens, selectedAccessTokens } = (0, api_security_context_1.useApiSecurity)();
    (0, react_2.useEffect)(() => {
        var _a;
        (_a = deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.reset) === null || _a === void 0 ? void 0 : _a.call(deleteAccessTokens);
    }, [isOpen]);
    (0, react_2.useEffect)(() => {
        if (deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.result) {
            onDeleted(deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.result);
        }
    }, [deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.result]);
    return (react_2.default.createElement(react_1.Dialog, { hidden: !isOpen, onDismiss: onDismiss, dialogContentProps: {
            type: react_1.DialogType.close,
            title: 'Delete?',
        }, modalProps: {
            styles: { main: { maxWidth: 450 } },
        } },
        react_2.default.createElement(react_1.Stack, { tokens: { childrenGap: 8 } },
            "Are you sure you would like to delete these item(s)?",
            ((_a = deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.error) === null || _a === void 0 ? void 0 : _a.message) && (react_2.default.createElement(react_1.MessageBar, { messageBarType: react_1.MessageBarType.error }, deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.error.message))),
        react_2.default.createElement(react_1.DialogFooter, null,
            react_2.default.createElement(react_1.DefaultButton, { onClick: onDismiss, text: "Cancel", "data-cy": "dialog-cancel" }),
            react_2.default.createElement(react_1.PrimaryButton, { onClick: () => {
                    deleteAccessTokens.execute(selectedAccessTokens === null || selectedAccessTokens === void 0 ? void 0 : selectedAccessTokens.map((at) => at === null || at === void 0 ? void 0 : at.id));
                }, text: "Delete", disabled: deleteAccessTokens === null || deleteAccessTokens === void 0 ? void 0 : deleteAccessTokens.loading, "data-cy": "dialog-confirm" }))));
};
exports.default = AccessTokensDeleteDialog;
