"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const auth_context_1 = require("../context/auth.context");
const react_router_1 = require("react-router");
const RedirectAuth = () => {
    const history = (0, react_router_1.useHistory)();
    const { authStatus } = (0, auth_context_1.useAuth)();
    console.log(authStatus);
    (0, react_1.useEffect)(() => {
        switch (authStatus) {
            case 'authenticated':
                break;
            case 'needs-init':
                history.replace('/init');
                break;
            case 'unauthenticated':
            default:
                history.replace('/login');
                break;
        }
    }, [authStatus]);
    return react_1.default.createElement(react_1.default.Fragment, null);
};
exports.default = RedirectAuth;
