import React from 'react';
import { IShimmeredDetailsListProps } from '@fluentui/react';
import { IGroup } from '@shared/interfaces/model';
declare type ColumnTypes = 'id' | 'name' | 'description' | 'protected';
export interface IGroupListProps extends Partial<IShimmeredDetailsListProps> {
    overrideGroups?: IGroup[];
    visibleColumns?: ColumnTypes[];
}
declare const GroupList: React.FC<IGroupListProps>;
export default GroupList;
