import { IGroupListProps } from '@admin/features/groups/components/group-list';
import { IGroupCommandBarProps } from '@admin/features/groups/components/group-command-bar';
import { IGroupsContext } from '@admin/features/groups/context/groups.context';
import React from 'react';
export interface IGroupSelectProps {
    listProps?: IGroupListProps;
    commandBarProps?: IGroupCommandBarProps;
    suppressDefaultUpdates?: boolean;
}
export interface IGroupSelectRef {
    groupsContext: IGroupsContext;
}
declare const _default: React.ForwardRefExoticComponent<Pick<IGroupSelectProps & React.RefAttributes<IGroupSelectRef> & {
    groupsContext?: import("@admin/features/groups/context/groups.context").IGroupsContextProviderProps & Partial<{
        disable?: boolean;
    }>;
} & Partial<{
    unwrap?: boolean;
}>, "key" | "unwrap" | "groupsContext" | keyof IGroupSelectProps> & React.RefAttributes<unknown>>;
export default _default;
