"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const group_list_1 = __importDefault(require("./group-list"));
const group_command_bar_1 = __importDefault(require("./group-command-bar"));
const groups_context_1 = require("../context/groups.context");
const react_1 = __importStar(require("react"));
const hoc_1 = require("../../../helpers/hoc");
const GroupSelect = (0, react_1.forwardRef)(({ listProps = { visibleColumns: ['id', 'name', 'description'] }, commandBarProps = { visibleColumns: ['refresh'] }, suppressDefaultUpdates = false, }, ref) => {
    const groupsContext = (0, groups_context_1.useGroups)();
    (0, react_1.useImperativeHandle)(ref, () => ({
        groupsContext,
    }));
    const updateList = () => {
        if (!suppressDefaultUpdates) {
            groupsContext.list.execute();
        }
    };
    (0, react_1.useEffect)(updateList, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(group_command_bar_1.default, Object.assign({}, commandBarProps)),
        react_1.default.createElement(group_list_1.default, Object.assign({}, listProps))));
});
exports.default = (0, hoc_1.composeWrappers)({
    groupsContext: groups_context_1.GroupsContextProvider,
})(GroupSelect);
