"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const heading_1 = __importDefault(require("../../../components/heading"));
const hoc_1 = require("../../../helpers/hoc");
const access_tokens_command_bar_1 = __importDefault(require("../../api-security/components/access-tokens-command-bar"));
const access_tokens_list_1 = __importDefault(require("../../api-security/components/access-tokens-list"));
const api_security_context_1 = require("../../api-security/context/api-security.context");
const api_access_1 = __importDefault(require("../../api-security/components/api-access"));
const ApiSettings = () => {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(heading_1.default, { title: "API Visibility", noPadding: true }, "Using sitemap/search API always requires accessToken"),
        react_1.default.createElement(api_access_1.default, null),
        react_1.default.createElement(heading_1.default, { title: "Access Tokens", noPadding: true }, "Generate and delete access tokens which are used to get posts content and search for posts"),
        react_1.default.createElement(access_tokens_command_bar_1.default, null),
        react_1.default.createElement(access_tokens_list_1.default, null)));
};
exports.default = (0, hoc_1.composeWrappers)({
    apiSecurityContext: api_security_context_1.ApiSecurityContextProvider,
})(ApiSettings);
