"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const heading_1 = __importDefault(require("../../../components/heading"));
const hoc_1 = require("../../../helpers/hoc");
const backup_context_1 = require("../../backup/context/backup.context");
const backup_command_bar_1 = __importDefault(require("../../backup/components/backup-command-bar"));
const backup_list_1 = __importDefault(require("../../backup/components/backup-list"));
const BackupSettings = () => {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(heading_1.default, { title: "Backups", noPadding: true }, "Create and manage backups."),
        react_1.default.createElement(backup_command_bar_1.default, null),
        react_1.default.createElement(backup_list_1.default, null)));
};
exports.default = (0, hoc_1.composeWrappers)({
    backupContext: backup_context_1.BackupContextProvider,
})(BackupSettings);
