"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const user_list_1 = __importDefault(require("./user-list"));
const users_context_1 = require("../context/users.context");
const react_1 = __importStar(require("react"));
const user_command_bar_1 = __importDefault(require("./user-command-bar"));
const hoc_1 = require("../../../helpers/hoc");
const UserSelect = (0, react_1.forwardRef)(({ listProps = { visibleColumns: ['avatar', 'staticDisplayName'] }, commandBarProps = { visibleColumns: ['search', 'refresh'] }, suppressDefaultUpdates = false, }, ref) => {
    const usersContext = (0, users_context_1.useUsers)();
    (0, react_1.useImperativeHandle)(ref, () => ({
        usersContext,
    }));
    const updateList = () => {
        if (!suppressDefaultUpdates) {
            usersContext.list.execute();
        }
    };
    (0, react_1.useEffect)(updateList, []);
    (0, react_1.useEffect)(updateList, [usersContext.listParams]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(user_command_bar_1.default, Object.assign({}, commandBarProps)),
        react_1.default.createElement(user_list_1.default, Object.assign({}, listProps))));
});
exports.default = (0, hoc_1.composeWrappers)({
    usersContext: users_context_1.UsersContextProvider,
})(UserSelect);
