"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const user_list_1 = __importDefault(require("../components/user-list"));
const user_command_bar_1 = __importDefault(require("../components/user-command-bar"));
const users_context_1 = require("../context/users.context");
const user_add_1 = __importDefault(require("../components/user-add"));
const react_router_1 = require("react-router");
const user_edit_1 = __importDefault(require("../components/user-edit"));
const hoc_1 = require("../../../helpers/hoc");
const UsersPage = () => {
    const { list, listParams } = (0, users_context_1.useUsers)();
    const updateList = () => {
        list.execute();
    };
    (0, react_1.useEffect)(updateList, []);
    (0, react_1.useEffect)(updateList, [listParams]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: "page-wrapper" },
            react_1.default.createElement(user_command_bar_1.default, null),
            react_1.default.createElement("div", { className: "page-content page-content-scroll", style: { padding: '0 1rem' } },
                react_1.default.createElement(user_list_1.default, null))),
        react_1.default.createElement(react_router_1.Route, { path: "/users/add", component: user_add_1.default }),
        react_1.default.createElement(react_router_1.Route, { path: "/users/edit/:id", component: user_edit_1.default })));
};
exports.default = (0, hoc_1.composeWrappers)({
    usersContext: users_context_1.UsersContextProvider,
})(UsersPage);
