"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_dom_1 = __importDefault(require("react-dom"));
const react_1 = __importDefault(require("react"));
const app_1 = __importDefault(require("./app"));
require("./styles/main.scss");
const auth_context_1 = require("./features/authentication/context/auth.context");
const react_2 = require("@fluentui/react");
const font_icons_mdl2_1 = require("@fluentui/font-icons-mdl2");
const react_router_dom_1 = require("react-router-dom");
const dialog_1 = require("./context/dialog");
const hooks_1 = __importDefault(require("../shared/features/hooks"));
const snackbar_1 = require("./context/snackbar");
(0, font_icons_mdl2_1.initializeIcons)();
try {
    if (PROJECT_ADMIN_ENTRY) {
        require(PROJECT_ADMIN_ENTRY);
    }
}
catch (e) {
    //
}
react_dom_1.default.render(react_1.default.createElement(react_router_dom_1.BrowserRouter, { basename: ROUTER_PATH },
    react_1.default.createElement(react_2.ThemeProvider, null,
        react_1.default.createElement(dialog_1.DialogContextProvider, null,
            react_1.default.createElement(auth_context_1.AuthContextProvider, null,
                react_1.default.createElement(snackbar_1.SnackbarContextProvider, null,
                    react_1.default.createElement(app_1.default, null)))))), document.getElementById('root'));
window.Hooks = hooks_1.default;
hooks_1.default.addSyncFilter('admin/field', (render, field) => {
    console.log(field);
    return () => react_1.default.createElement("div", null, "hello");
}, { id: 'hello1' });
if (module === null || module === void 0 ? void 0 : module.hot) {
    module.hot.accept();
    module.hot.dispose(() => {
        hooks_1.default.clearAllQueues();
    });
}
