import { IContentType } from "@shared/interfaces/model";
declare type IExportedContentType = Omit<IContentType, 'id' | 'createdAt' | 'updatedAt'>;
declare type GetBurdyContentType = () => IExportedContentType;
declare type GetBurdyContentTypes = () => IExportedContentType[];
interface ComponentFile {
    getContentType?: GetBurdyContentType;
    getContentTypes?: GetBurdyContentTypes;
}
declare const joinContentTypes: (files: ComponentFile[]) => IExportedContentType[];
declare const writeContentTypes: (contentTypes: IExportedContentType[], path?: string) => Promise<void>;
export { GetBurdyContentType, GetBurdyContentTypes, IExportedContentType, joinContentTypes, writeContentTypes };
