import { EntityManager } from 'typeorm';
import { IAsset } from '@shared/interfaces/model';
export declare const getParent: (manager: EntityManager, components: string[], parent?: any) => Promise<any>;
export declare type IImportAssets = {
    manager: EntityManager;
    asset: IAsset;
    user: any;
    options?: {
        force?: boolean;
    };
};
export declare const importAsset: ({ manager, asset, user, options, }: IImportAssets) => Promise<IAsset | undefined>;
export declare const importAssets: ({ entityManager, data, user, options, }: {
    entityManager: EntityManager;
    data: IAsset[];
    user: any;
    options?: any;
}) => Promise<void>;
export declare const exportAssets: ({ entityManager }: {
    entityManager: any;
}) => Promise<IAsset>;
