import { EntityManager } from 'typeorm';
import { ITag } from '@shared/interfaces/model';
export declare const getParent: (manager: EntityManager, components: string[], parent?: any) => Promise<any>;
export declare type IImportTags = {
    manager: EntityManager;
    tag: ITag;
    user: any;
    options?: {
        force?: boolean;
    };
};
export declare const importTag: ({ manager, tag, user }: IImportTags) => Promise<ITag | undefined>;
export declare const importTags: ({ entityManager, data, user, options, }: {
    entityManager: EntityManager;
    data: ITag[];
    user: any;
    options?: any;
}) => Promise<void>;
export declare const exportTags: ({ entityManager, }: {
    entityManager: EntityManager;
}) => Promise<ITag[]>;
