import { IPost } from '@shared/interfaces/model';
export interface ICompilePostOptions {
    debt?: number;
    allowNull?: boolean;
    allowUnpublished?: boolean;
    query?: any;
}
export interface ICompilePostParams {
    id?: number | string;
    slugPath?: string;
    query?: any;
    versionId?: number | string;
}
export declare const publishedQuery: (qb: any, allowUnpublished?: boolean) => void;
export declare const retrievePostAndCompile: ({ id, slugPath, versionId }: ICompilePostParams, options?: ICompilePostOptions) => Promise<any>;
export declare const compilePostContainer: (post: IPost, options?: ICompilePostOptions) => Promise<any>;
export declare const compilePost: (post: IPost, options?: ICompilePostOptions) => Promise<any>;
export declare const buildPath: (path: string, rules: {
    source: string;
    rewrite: string;
}[]) => string | undefined;
