export default class BaseError extends Error {
    protected status: number;
    protected readonly errorMessage: string;
    protected readonly data: object;
    constructor(errorMessage: string, data?: object);
    getStatusCode(): number;
    toJson(): {
        message: string;
    };
}
