import { EntityManager } from 'typeorm';
import express from 'express';
declare type IContentMiddlewareOptions = {
    alwaysAuthorize?: boolean;
};
export declare const verifyContentToken: ({ token, entityManager, }: {
    token: string;
    entityManager: EntityManager;
}) => Promise<void>;
export declare const extractContentToken: (req: express.Request) => string | undefined;
declare const contentMiddleware: (options?: IContentMiddlewareOptions) => (req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>;
export default contentMiddleware;
