/**
 * @packageDocumentation
 * @module Models
 */
import { BaseEntity } from 'typeorm';
import { IContentType } from '@shared/interfaces/model';
import User from './user.model';
import Post from './post.model';
export default class ContentType extends BaseEntity implements IContentType {
    id: number;
    name: string;
    type: string;
    fields: any;
    createdAt: Date;
    updatedAt: Date;
    author: User;
    posts?: Post[];
}
