"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.webpackServerConfigure = exports.webpackAdminConfigure = void 0;
const server_1 = __importDefault(require("./webpack-configs/server"));
const admin_1 = __importDefault(require("./webpack-configs/admin"));
const webpackConfigureGenerator = (config) => (...overrides) => overrides.reduce((memo, current) => { var _a; return (_a = current === null || current === void 0 ? void 0 : current(memo)) !== null && _a !== void 0 ? _a : memo; }, config);
const webpackAdminConfigure = webpackConfigureGenerator(admin_1.default);
exports.webpackAdminConfigure = webpackAdminConfigure;
const webpackServerConfigure = webpackConfigureGenerator(server_1.default);
exports.webpackServerConfigure = webpackServerConfigure;
