import React from 'react';
export interface IErrorBoundaryProps {
    message?: string;
}
declare class ErrorBoundary extends React.Component<IErrorBoundaryProps> {
    constructor(props: any);
    static getDerivedStateFromError(): {
        hasError: boolean;
    };
    componentDidCatch(error: any, errorInfo: any): void;
    render(): React.ReactNode;
}
export default ErrorBoundary;
