"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const links_1 = require("./links");
const logo_svg_1 = __importDefault(require("../assets/logo.svg"));
const NotFound = () => {
    return (react_1.default.createElement("div", { className: "d-flex flex-column justify-content-center container text-center min-vh-100" },
        react_1.default.createElement("img", { src: logo_svg_1.default, alt: "Burdy", width: 96, height: 96, className: "mb-4 mx-auto" }),
        react_1.default.createElement("h1", { className: "mb-5" }, "404 Not Found"),
        react_1.default.createElement(links_1.Link, { to: "/", className: "btn btn-primary mx-auto" }, "Back to Index")));
};
exports.default = NotFound;
