"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("@fluentui/react");
const react_2 = __importStar(require("react"));
const StatusBar = (_a) => {
    var _b;
    var { controller, successMessage, onDismiss } = _a, messageBarProps = __rest(_a, ["controller", "successMessage", "onDismiss"]);
    const resetController = (0, react_2.useCallback)(() => {
        controller.reset();
    }, [controller]);
    const dismissAction = (0, react_2.useCallback)((e) => {
        if (onDismiss) {
            onDismiss === null || onDismiss === void 0 ? void 0 : onDismiss(e);
        }
        else {
            resetController();
        }
    }, [resetController, onDismiss]);
    const Empty = (0, react_2.useCallback)(() => react_2.default.createElement(react_2.default.Fragment, null), []);
    switch (controller.status) {
        case 'success':
            return successMessage ? (react_2.default.createElement(react_1.MessageBar, Object.assign({}, messageBarProps, { onDismiss: dismissAction, messageBarType: react_1.MessageBarType.success }), successMessage)) : (react_2.default.createElement(Empty, null));
        case 'error':
            return ((_b = controller === null || controller === void 0 ? void 0 : controller.error) === null || _b === void 0 ? void 0 : _b.message) ? (react_2.default.createElement(react_1.MessageBar, Object.assign({}, messageBarProps, { onDismiss: dismissAction, messageBarType: react_1.MessageBarType.error }), controller.error.message)) : (react_2.default.createElement(Empty, null));
        default:
            return react_2.default.createElement(Empty, null);
    }
};
exports.default = StatusBar;
