"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("@fluentui/react");
const back_panel_1 = __importDefault(require("./back-panel"));
const react_2 = __importStar(require("react"));
const rhf_components_1 = require("./rhf-components");
const react_hook_form_1 = require("react-hook-form");
const theme = (0, react_1.getTheme)();
const TranslatePanel = () => {
    const [panelOpened, setPanelOpened] = (0, react_2.useState)(false);
    const { control } = (0, react_hook_form_1.useForm)();
    return (react_2.default.createElement("div", null,
        react_2.default.createElement(react_1.PrimaryButton, { style: {
                color: `${theme.palette.white} !important`,
                height: 48,
            }, onClick: () => setPanelOpened(true) }, "Translate"),
        react_2.default.createElement(back_panel_1.default, { isOpen: panelOpened, headerText: "Translate", isBlocking: false, isFooterAtBottom: true, isHiddenOnDismiss: true, onBack: () => setPanelOpened(false), onDismiss: () => setPanelOpened(false), type: react_1.PanelType.custom, customWidth: 400 },
            react_2.default.createElement(react_1.Stack, { tokens: { childrenGap: 10 } },
                react_2.default.createElement(rhf_components_1.ControlledDropdown, { control: control, name: 'provider', options: [
                        {
                            key: 'aws',
                            text: 'AWS',
                        },
                        {
                            key: 'azure',
                            text: 'Azure',
                        },
                        {
                            key: 'google',
                            text: 'Google',
                        },
                    ], label: "Provider" }),
                react_2.default.createElement(rhf_components_1.ControlledDropdown, { control: control, name: 'sourceLang', options: [], label: "Source Language" }),
                react_2.default.createElement(rhf_components_1.ControlledTextField, { control: control, name: 'source', label: "Source", rows: 10, multiline: true }),
                react_2.default.createElement(rhf_components_1.ControlledDropdown, { control: control, name: 'targetLanguage', options: [], label: "Target Language" }),
                react_2.default.createElement(rhf_components_1.ControlledTextField, { control: control, rows: 10, name: 'target', label: "Target", multiline: true }),
                react_2.default.createElement(react_1.Stack, { horizontal: true, horizontalAlign: 'end' },
                    react_2.default.createElement(react_1.PrimaryButton, null, "Translate"))))));
};
exports.default = TranslatePanel;
