/// <reference types="react" />
interface DialogContextInterface {
    confirm: (title: string, message: string) => Promise<void>;
}
declare const DialogContextProvider: ({ children }: {
    children: any;
}) => JSX.Element;
declare const useDialog: () => DialogContextInterface;
export { useDialog, DialogContextProvider };
