"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("@fluentui/react");
const react_2 = __importStar(require("react"));
const backup_context_1 = require("../context/backup.context");
const BackupList = () => {
    const { selection, backups, list } = (0, backup_context_1.useBackups)();
    (0, react_2.useEffect)(() => {
        list.execute();
    }, []);
    const columns = (0, react_2.useMemo)(() => ([
        {
            key: 'id',
            name: 'ID',
            fieldName: 'id',
            minWidth: 60,
            maxWidth: 60
        },
        {
            key: 'name',
            name: 'Name',
            fieldName: 'name',
            minWidth: 120,
        },
        {
            key: 'state',
            name: 'State',
            fieldName: 'state',
            minWidth: 200,
        },
        {
            key: 'createdAt',
            name: 'Created At',
            fieldName: 'createdAt',
            minWidth: 200,
        }
    ]), []);
    return (react_2.default.createElement("div", null,
        react_2.default.createElement(react_1.MarqueeSelection, { selection: selection, isDraggingConstrainedToRoot: true },
            react_2.default.createElement(react_1.ShimmeredDetailsList, { enableShimmer: list === null || list === void 0 ? void 0 : list.loading, selection: selection, selectionMode: selection.mode, setKey: "multiple", selectionPreservedOnEmptyClick: true, items: backups !== null && backups !== void 0 ? backups : [], columns: columns }))));
};
exports.default = BackupList;
