"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const content_types_context_1 = require("../context/content-types.context");
const rhf_components_1 = require("../../../components/rhf-components");
const hoc_1 = require("../../../helpers/hoc");
const ControlledComponentsDropdown = (props) => {
    var _a;
    const { getComponents } = (0, content_types_context_1.useContentTypes)();
    (0, react_1.useEffect)(() => {
        getComponents.execute();
    }, []);
    return (react_1.default.createElement(rhf_components_1.ControlledDropdown, Object.assign({}, props, { options: ((_a = getComponents === null || getComponents === void 0 ? void 0 : getComponents.result) !== null && _a !== void 0 ? _a : []).map((component) => ({
            key: `${component.name}`,
            text: component.name,
        })) })));
};
exports.default = (0, hoc_1.composeWrappers)({
    contentTypesContext: content_types_context_1.ContentTypesContextProvider,
})(ControlledComponentsDropdown);
