import { IGroupSelectProps } from '@admin/features/groups/components/group-select';
import { IGroup } from '@shared/interfaces/model';
import { IBackPanelProps } from '@admin/components/back-panel';
import { IGroupsContext } from '@admin/features/groups/context/groups.context';
import React from 'react';
interface IGroupSelectPanelProps extends IGroupSelectProps {
    onDismiss?: () => void;
    onSubmit?: (users: IGroup[]) => void;
    onBack?: IBackPanelProps['onBack'];
    isOpen?: IBackPanelProps['isOpen'];
    panelProps?: Omit<IBackPanelProps, 'onBack' | 'isOpen'>;
}
interface IGroupSelectPanelRef {
    groupsContext: IGroupsContext;
}
declare const _default: React.ForwardRefExoticComponent<Pick<IGroupSelectPanelProps & React.RefAttributes<IGroupSelectPanelRef> & {
    groupsContext?: import("@admin/features/groups/context/groups.context").IGroupsContextProviderProps & Partial<{
        disable?: boolean;
    }>;
} & Partial<{
    unwrap?: boolean;
}>, "key" | "unwrap" | "groupsContext" | keyof IGroupSelectPanelProps> & React.RefAttributes<unknown>>;
export default _default;
