"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@fluentui/react");
const PermissionChips = ({ permissions }) => (react_1.default.createElement(react_2.Stack, { horizontal: true, wrap: true, tokens: { childrenGap: 12 }, "data-cy": "permissions-chips" }, permissions.map((permission) => (react_1.default.createElement(react_2.TooltipHost, { key: permission.id, content: permission.id },
    react_1.default.createElement("div", { className: "chip", "data-cy": "permissions-chips-item" }, permission.name))))));
exports.default = PermissionChips;
