import React from 'react';
import { SelectionMode } from '@fluentui/react';
import { IPost } from '@shared/interfaces/model';
interface PostVersionsSelectPanelProps {
    isOpen?: boolean;
    post?: IPost;
    selectionMode?: SelectionMode;
    error?: string;
    onDismiss?: () => void;
    onSelect?: (post?: IPost) => void;
    onUpdate?: () => void;
    onDelete?: () => void;
}
declare const _default: React.ForwardRefExoticComponent<PostVersionsSelectPanelProps & {
    postsContext?: {
        defaultAdditionalData?: {};
        children: any;
    } & Partial<{
        disable?: boolean;
    }>;
} & Partial<{
    unwrap?: boolean;
}> & React.RefAttributes<unknown>>;
export default _default;
