"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const heading_1 = __importDefault(require("../../../components/heading"));
const hooks_1 = __importDefault(require("../../../../shared/features/hooks"));
const GeneralSettings = () => {
    const sections = (0, react_1.useMemo)(() => {
        return hooks_1.default.applySyncFilters('admin/settings/sections', []);
    }, []);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(heading_1.default, { title: "General Settings", noPadding: true }, !((sections === null || sections === void 0 ? void 0 : sections.length) > 0) && 'You do not have any general settings sections.'),
        sections.map(({ key, component }) => (react_1.default.createElement("section", { key: key }, component)))));
};
exports.default = GeneralSettings;
