import React from 'react';
import { ICommandBarProps } from '@fluentui/react';
declare type ColumnType = 'add' | 'edit' | 'activate' | 'deactivate' | 'delete' | 'refresh' | 'search';
export interface IUserCommandBarProps extends Partial<ICommandBarProps> {
    visibleColumns?: ColumnType[];
}
declare const UserCommandBar: React.FC<IUserCommandBarProps>;
export default UserCommandBar;
