import React from 'react';
import { IUser } from '@shared/interfaces/model';
import { IShimmeredDetailsListProps } from '@fluentui/react';
declare type ColumnTypes = 'avatar' | 'displayName' | 'staticDisplayName' | 'groups' | 'status' | 'createdAt';
export interface IUserListProps extends Partial<IShimmeredDetailsListProps> {
    visibleColumns?: ColumnTypes[];
    users?: IUser[];
}
declare const UserList: React.FC<IUserListProps>;
export default UserList;
