import { IUsersContext } from '@admin/features/users/context/users.context';
import React from 'react';
import { IUser } from '@shared/interfaces/model';
import { IBackPanelProps } from '@admin/components/back-panel';
import { IUserSelectProps } from '@admin/features/users/components/user-select';
export interface IUserSelectPanelProps extends IUserSelectProps {
    onDismiss?: () => void;
    onSubmit?: (users: IUser[]) => void;
    onBack?: IBackPanelProps['onBack'];
    isOpen?: IBackPanelProps['isOpen'];
    panelProps?: Omit<IBackPanelProps, 'onBack' | 'isOpen'>;
}
export interface IUserSelectPanelRef {
    usersContext: IUsersContext;
}
declare const _default: React.ForwardRefExoticComponent<Pick<IUserSelectPanelProps & React.RefAttributes<IUserSelectPanelRef> & {
    usersContext?: import("@admin/features/users/context/users.context").IUsersContextProviderProps & Partial<{
        disable?: boolean;
    }>;
} & Partial<{
    unwrap?: boolean;
}>, "key" | "unwrap" | "usersContext" | keyof IUserSelectPanelProps> & React.RefAttributes<unknown>>;
export default _default;
