import { IUserListProps } from '@admin/features/users/components/user-list';
import { IUsersContext } from '@admin/features/users/context/users.context';
import React from 'react';
import { IUserCommandBarProps } from '@admin/features/users/components/user-command-bar';
export interface IUserSelectProps {
    listProps?: IUserListProps;
    commandBarProps?: IUserCommandBarProps;
    suppressDefaultUpdates?: boolean;
}
export interface IUserSelectRef {
    usersContext: IUsersContext;
}
declare const _default: React.ForwardRefExoticComponent<Pick<IUserSelectProps & React.RefAttributes<IUserSelectRef> & {
    usersContext?: import("@admin/features/users/context/users.context").IUsersContextProviderProps & Partial<{
        disable?: boolean;
    }>;
} & Partial<{
    unwrap?: boolean;
}>, "key" | "unwrap" | "usersContext" | keyof IUserSelectProps> & React.RefAttributes<unknown>>;
export default _default;
