import { IUser } from '@shared/interfaces/model';
declare const userMeta: (user: IUser, key: string) => string;
declare const userPersonaText: (user: IUser) => string;
interface ModelObject<T> {
    [key: number]: T;
}
declare const convertModelArrayToObject: <T>(model: T[], key?: string) => ModelObject<T>;
declare const formatDate: (date: Date | string) => string;
export { userMeta, userPersonaText, ModelObject, convertModelArrayToObject, formatDate };
