"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const ConsoleOutput = {
    success: (...output) => console.log(chalk_1.default.green('[Success]'), ...output),
    error: (...output) => console.log(chalk_1.default.red('[Error]'), ...output),
    info: (...output) => console.log(chalk_1.default.blue('[Info]'), ...output),
};
exports.default = ConsoleOutput;
