"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.notify = void 0;
const node_notifier_1 = __importDefault(require("node-notifier"));
const path_util_1 = __importDefault(require("./path.util"));
const notify = ({ message, subtitle }) => {
    const icon = path_util_1.default.admin('assets', 'logo.svg');
    return node_notifier_1.default.notify({
        title: 'Burdy',
        message,
        subtitle,
        icon,
    });
};
exports.notify = notify;
