import { EntityManager } from 'typeorm';
import { IContentType } from '@shared/interfaces/model';
export declare type IImportContentTypes = {
    entityManager: EntityManager;
    data: any[];
    user: any;
    options?: {
        force?: boolean;
    };
};
export declare const importContentTypes: ({ entityManager, data: list, user, options, }: IImportContentTypes) => Promise<IContentType[]>;
export declare const exportContentTypes: ({ entityManager, }: {
    entityManager: EntityManager;
}) => Promise<IContentType>;
