import { EntityManager } from 'typeorm';
import { IPost } from '@shared/interfaces/model';
export declare const getParent: (manager: EntityManager, components: string[], parent?: any) => Promise<any>;
export declare type IImportPosts = {
    manager: EntityManager;
    post: IPost;
    user: any;
    options?: {
        force?: boolean;
        publish?: boolean;
    };
};
export declare const importPost: ({ manager, post, user, options }: IImportPosts) => Promise<IPost | undefined>;
export declare const importPosts: ({ entityManager, data, user, options }: {
    entityManager: EntityManager;
    data: IPost[];
    user: any;
    options?: any;
}) => Promise<void>;
export declare const exportPosts: ({ entityManager, }: {
    entityManager: EntityManager;
}) => Promise<IPost[]>;
