"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BaseError extends Error {
    constructor(errorMessage, data = {}) {
        super();
        this.status = 400;
        this.errorMessage = errorMessage;
        this.data = data;
    }
    getStatusCode() {
        return this.status;
    }
    toJson() {
        var _a;
        return Object.assign({ message: this.errorMessage }, ((_a = this.data) !== null && _a !== void 0 ? _a : {}));
    }
}
exports.default = BaseError;
