/**
 * @packageDocumentation
 * @module Models
 */
import { BaseEntity } from 'typeorm';
import type { IAssetMeta } from '@shared/interfaces/model';
import Asset from '@server/models/asset.model';
export default class AssetMeta extends BaseEntity implements IAssetMeta {
    constructor(obj: IAssetMeta);
    id: number;
    key: string;
    value: string;
    asset: Asset;
}
