"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @packageDocumentation
 * @module Models
 */
const typeorm_1 = require("typeorm");
const asset_model_1 = __importDefault(require("./asset.model"));
let AssetMeta = class AssetMeta extends typeorm_1.BaseEntity {
    constructor(obj) {
        super();
        this.key = obj === null || obj === void 0 ? void 0 : obj.key;
        this.value = obj === null || obj === void 0 ? void 0 : obj.value;
    }
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('increment'),
    __metadata("design:type", Number)
], AssetMeta.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    (0, typeorm_1.Index)(),
    __metadata("design:type", String)
], AssetMeta.prototype, "key", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text' }),
    __metadata("design:type", String)
], AssetMeta.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => asset_model_1.default, (asset) => asset.meta, { onDelete: 'CASCADE' }),
    __metadata("design:type", asset_model_1.default)
], AssetMeta.prototype, "asset", void 0);
AssetMeta = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)(['key', 'asset'], { unique: true }),
    __metadata("design:paramtypes", [Object])
], AssetMeta);
exports.default = AssetMeta;
