import { BaseEntity } from 'typeorm';
import { IBackup, IBackupState } from '@shared/interfaces/model';
export default class Backup extends BaseEntity implements IBackup {
    id: number;
    createdAt: Date;
    document: string;
    includes: string[] | null;
    name: string;
    provider: string;
    state: IBackupState;
}
