import { BaseEntity } from 'typeorm';
import { IGroup, IUser } from '@shared/interfaces/model';
export default class Group extends BaseEntity implements IGroup {
    id: number;
    name: string;
    description: string;
    permissions: string[];
    users: IUser[];
    protected: boolean;
}
