import { BaseEntity } from 'typeorm';
import User from '@server/models/user.model';
import { UserTokenType } from '@shared/interfaces/model';
export default class UserToken extends BaseEntity {
    id: number;
    token: string;
    data: any;
    expiresAt: Date;
    type: UserTokenType;
    user: User;
}
export { UserTokenType };
