import * as yup from 'yup';
declare const Validators: {
    firstName: () => import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    lastName: () => import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    email: () => import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    password: () => import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    imageSize: () => yup.ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        key: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        width: yup.NumberSchema<number, Record<string, any>, number>;
        height: yup.NumberSchema<number, Record<string, any>, number>;
        quality: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
        resize: yup.StringSchema<string, Record<string, any>, string>;
    }>, Record<string, any>, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        key: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        width: yup.NumberSchema<number, Record<string, any>, number>;
        height: yup.NumberSchema<number, Record<string, any>, number>;
        quality: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
        resize: yup.StringSchema<string, Record<string, any>, string>;
    }>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        key: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        width: yup.NumberSchema<number, Record<string, any>, number>;
        height: yup.NumberSchema<number, Record<string, any>, number>;
        quality: import("yup/lib/number").RequiredNumberSchema<number, Record<string, any>>;
        resize: yup.StringSchema<string, Record<string, any>, string>;
    }>>>;
};
export declare const slugRegex: RegExp;
export declare const slugRegexMessage = "invalid_pattern";
export default Validators;
